<template>
  <form
    class="form"
    v-on:submit.prevent="$emit('model-submit')"
    :style="{ gridTemplateColumns: `repeat(2, 1fr)` }"
  >
    <slot></slot>
  </form>
</template>

<script lang="ts">
import { Options, Vue } from "vue-class-component";

@Options({
  params: {
    size: {
      type: String,
      default: "2",
    },
  },
  emits: ["model-submit"],
})
export default class InputForm extends Vue {
  public size!: string;
}
</script>

<style scoped lang="scss">
@import "@/styles/globals";

.form {
  padding: 0px;

  display: grid;

  grid-column-gap: $list_spacing;
  grid-row-gap: $standard_spacing;
}
</style>
